
//+------------------------------------------------------------------+ 
//|    _TRO_CandleColor                                              | 
//|                                                                  | 
//|------------------------------------------------------------------+ 
#property copyright "" 

#property link      "" 

#property indicator_chart_window 

//---- input parameters 


extern int myPeriod  = 1440 ;

extern string myPair1  = "USDJPY" ;
extern string myPair2  = "GBPJPY" ;
extern string myPair3  = "USDCHF" ;
extern string myPair4  = "USDCAD" ;
extern string myPair5  = "EURUSD" ;
extern string myPair6  = "GBPUSD" ;
extern string myPair7  = "NZDUSD" ;




//+------------------------------------------------------------------+ 
//| Custom indicator initialization function                         | 
//+------------------------------------------------------------------+ 
int init() 
  { 
  
     initGraph();
  
//---- 
   return(0); 
  } 
//+------------------------------------------------------------------+ 
//| Custom indicator deinitialization function                       | 
//+------------------------------------------------------------------+ 
int deinit() 
  { 
//---- 
    
//---- 
   return(0); 
  } 
//+------------------------------------------------------------------+ 
//| Custom indicator iteration function                              | 
//+------------------------------------------------------------------+ 



double prOpen(string s , int i)
{
  return (iOpen(s,myPeriod,i));
}
//+---------------
double prHigh(string s , int i)
{
  return (iHigh(s,myPeriod,i));
}
//+---------------
double prMid(string s , int i)
{
  double _Mid = ( iHigh(s,myPeriod,i) + iLow(s,myPeriod,i) ) * 0.5 ;
  return (_Mid);
}
//+---------------

double prLow(string s , int i)
{
  return (iLow(s,myPeriod,i));
}
//+---------------
double prClose(string s , int i)
{
  return (iClose(s,myPeriod,i));
}
//+---------------
double prRange(string s , int i)
{
  double _Range = ( iHigh(s,myPeriod,i) - iLow(s,myPeriod,i) ) ;
  return (_Range);
}
//+---------------

int start() 
  { 
   double day_high1        = prHigh(myPair1, 0 );
   double day_low1         = prLow(myPair1, 0 );
   double day_close1       = prClose(myPair1, 0 ); 
   double day_open1        = prOpen(myPair1, 0 ); 
   double day_mid1         = prMid(myPair1, 0 ); 
   double day_range1       = prRange(myPair1, 0 ); 

   double day_high2        = prHigh(myPair2, 0 );
   double day_low2         = prLow(myPair2, 0 );
   double day_close2       = prClose(myPair2, 0 ); 
   double day_open2        = prOpen(myPair2, 0 ); 
   double day_mid2         = prMid(myPair2, 0 ); 
   double day_range2       = prRange(myPair2, 0 );
   
   double day_high3        = prHigh(myPair3, 0 );
   double day_low3         = prLow(myPair3, 0 );
   double day_close3       = prClose(myPair3, 0 ); 
   double day_open3        = prOpen(myPair3, 0 ); 
   double day_mid3         = prMid(myPair3, 0 ); 
   double day_range3       = prRange(myPair3, 0 ); 

   double day_high4        = prHigh(myPair4, 0 );
   double day_low4         = prLow(myPair4, 0 );
   double day_close4       = prClose(myPair4, 0 ); 
   double day_open4        = prOpen(myPair4, 0 ); 
   double day_mid4         = prMid(myPair4, 0 ); 
   double day_range4       = prRange(myPair4, 0 );
   
   double day_high5        = prHigh(myPair5, 0 );
   double day_low5         = prLow(myPair5, 0 );
   double day_close5       = prClose(myPair5, 0 ); 
   double day_open5        = prOpen(myPair5, 0 ); 
   double day_mid5         = prMid(myPair5, 0 ); 
   double day_range5       = prRange(myPair5, 0 ); 

   double day_high6        = prHigh(myPair6, 0 );
   double day_low6         = prLow(myPair6, 0 );
   double day_close6       = prClose(myPair6, 0 ); 
   double day_open6        = prOpen(myPair6, 0 ); 
   double day_mid6         = prMid(myPair6, 0 ); 
   double day_range6       = prRange(myPair6, 0 );

   double day_high7        = prHigh(myPair7, 0 );
   double day_low7         = prLow(myPair7, 0 );
   double day_close7       = prClose(myPair7, 0 ); 
   double day_open7        = prOpen(myPair7, 0 ); 
   double day_mid7         = prMid(myPair7, 0 ); 
   double day_range7       = prRange(myPair7, 0 );   
   
   double day_diff1        = day_close1 - day_open1 ;
   double day_diff2        = day_close2 - day_open2 ;     
   double day_diff3        = day_close3 - day_open3 ;
   double day_diff4        = day_close4 - day_open4 ;     
   double day_diff5        = day_close5 - day_open5 ;
   double day_diff6        = day_close6 - day_open6 ;     
   double day_diff7        = day_close7 - day_open7 ;
 
      


   objectBlank();   
   paintCol1(day_diff1);  
   paintCol2(day_diff2);  
   paintCol3(day_diff3);  
   paintCol4(day_diff4);    
   paintCol5(day_diff5); 
   paintCol6(day_diff6);    
   paintCol7(day_diff7);  
   paintLine();
   
   
   
 
//---- 
   return(0); 
  } 
//+------------------------------------------------------------------+ 


void initGraph()
  {
   deleteObject();
   
   objectCreate("Col1_5",130,11);
   objectCreate("Col1",132,12,"Col1",7,"Arial Narrow",SkyBlue);
   objectCreate("Col1p",134,21,DoubleToStr(9,1),8,"Arial Narrow",Silver);   
   
   objectCreate("Col2_5",110,11);
   objectCreate("Col2",112,12,"Col2",7,"Arial Narrow",SkyBlue);
   objectCreate("Col2p",114,21,DoubleToStr(9,1),8,"Arial Narrow",Silver);
   
   objectCreate("Col3_5",90,11);
   objectCreate("Col3",92,12,"Col3",7,"Arial Narrow",SkyBlue);
   objectCreate("Col3p",94,21,DoubleToStr(9,1),8,"Arial Narrow",Silver);
   
   objectCreate("Col4_5",70,11);
   objectCreate("Col4",72,12,"Col4",7,"Arial Narrow",SkyBlue);
   objectCreate("Col4p",74,21,DoubleToStr(9,1),8,"Arial Narrow",Silver);
   
   objectCreate("Col5_5",50,11);
   objectCreate("Col5",52,12,"Col5",7,"Arial Narrow",SkyBlue);
   objectCreate("Col5p",54,21,DoubleToStr(9,1),8,"Arial Narrow",Silver);
  
   objectCreate("Col6_5",30,11);
   objectCreate("Col6",32,12,"Col6",7,"Arial Narrow",SkyBlue);
   objectCreate("Col6p",34,21,DoubleToStr(9,1),8,"Arial Narrow",Silver);
   
   objectCreate("Col7_5",10,11);
   objectCreate("Col7",13,12,"Col7",7,"Arial Narrow",SkyBlue);
   objectCreate("Col7p",14,21,DoubleToStr(9,1),8,"Arial Narrow",Silver);
   
   
   objectCreate("line97",10,69,"-----------------------------------",10,"Arial",DimGray);
   objectCreate("sign",11,1,"   ",8,"Arial Narrow",DimGray);
  }   
  
//+------------------------------------------------------------------+
void objectCreate(string name,int x,int y,string text="-",int size=42,
                  string font="Arial",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }
  
void deleteObject()
  {  
   ObjectDelete("Col1_5");
   ObjectDelete("Col1");
   ObjectDelete("Col1p");
   
   ObjectDelete("Col2_5");
   ObjectDelete("Col2");
   ObjectDelete("Col2p");
   
   ObjectDelete("Col3_5");
   ObjectDelete("Col3");
   ObjectDelete("Col3p");

   ObjectDelete("Col4_5");
   ObjectDelete("Col4");
   ObjectDelete("Col4p");
   
   ObjectDelete("Col5_5");
   ObjectDelete("Col5");
   ObjectDelete("Col5p"); 
     
   ObjectDelete("Col6_5");
   ObjectDelete("Col6");
   ObjectDelete("Col6p");
   
   ObjectDelete("Col7_5");
   ObjectDelete("Col7");
   ObjectDelete("Col7p");
   
  }
  
void objectBlank()
  {
   ObjectSet("Col1_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col1p",OBJPROP_COLOR,CLR_NONE);

   ObjectSet("Col2_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col2p",OBJPROP_COLOR,CLR_NONE);

   ObjectSet("Col3_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col3p",OBJPROP_COLOR,CLR_NONE);

   ObjectSet("Col4_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col4p",OBJPROP_COLOR,CLR_NONE);

   ObjectSet("Col5_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col5p",OBJPROP_COLOR,CLR_NONE);
   
   ObjectSet("Col6_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col6",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col6p",OBJPROP_COLOR,CLR_NONE);
   
   ObjectSet("Col7_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col7",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col7p",OBJPROP_COLOR,CLR_NONE);      
   
   ObjectSet("line98",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("line97",OBJPROP_COLOR,CLR_NONE); 
  }
  
void paintCol1(double value)
  {
   if (value < 0) ObjectSet("Col1_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col1_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col1_5",OBJPROP_COLOR,Lime);
   ObjectSet("Col1",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("Col1p",DoubleToStr(value,1),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col1",value);
  }
  
void paintCol2(double value)
  {
   if (value < 0) ObjectSet("Col2_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col2_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col2_5",OBJPROP_COLOR,Lime);   
   ObjectSet("Col2",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("Col2p",DoubleToStr(value,1),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col2",value);
  }


void paintCol3(double value)
  {
   if (value < 0) ObjectSet("Col3_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col3_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col3_5",OBJPROP_COLOR,Lime);   
   ObjectSet("Col3",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("Col3p",DoubleToStr(value,1),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col3",value);
  }

void paintCol4(double value)
  {
   if (value < 0) ObjectSet("Col4_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col4_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col4_5",OBJPROP_COLOR,Lime);   
   ObjectSet("Col4",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("Col4p",DoubleToStr(value,1),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col4",value);
  }

void paintCol5(double value)
  {
   if (value < 0) ObjectSet("Col5_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col5_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col5_5",OBJPROP_COLOR,Lime);   
   ObjectSet("Col5",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("Col5p",DoubleToStr(value,1),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col5",value);
  }

void paintCol6(double value)
  {
   if (value < 0) ObjectSet("Col6_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col6_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col6_5",OBJPROP_COLOR,Lime);   
   ObjectSet("Col6",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("Col6p",DoubleToStr(value,1),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col6",value);
  }

void paintCol7(double value)
  {
   if (value < 0) ObjectSet("Col7_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col7_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col7_5",OBJPROP_COLOR,Lime);   
   ObjectSet("Col7",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("Col7p",DoubleToStr(value,1),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col7",value);
  }
  

  
void paintLine()
  {
   ObjectSet("line98",OBJPROP_COLOR,DimGray);
   ObjectSet("line97",OBJPROP_COLOR,DimGray);
  }