
//+------------------------------------------------------------------+ 
//|  _TRO_CandleRange_Multi                                        | 
//|                                                                  | 
//|------------------------------------------------------------------+ 
#property copyright "" 

#property link      "" 

#property indicator_chart_window 

//---- input parameters 




extern int myPeriod1  = 1 ;
extern int myPeriod2  = 15 ;
extern int myPeriod3  = 60 ;
extern int myPeriod4  = 240 ;
extern int myPeriod5  = 1440 ;
extern int myPeriod6  = 10080 ;
extern int myPeriod7  = 43200 ;

int xDecimals = 0 ;

//+------------------------------------------------------------------+ 
//| Custom indicator initialization function                         | 
//+------------------------------------------------------------------+ 
int init() 
  { 
  
     initGraph();
  
//---- 
   return(0); 
  } 
//+------------------------------------------------------------------+ 
//| Custom indicator deinitialization function                       | 
//+------------------------------------------------------------------+ 
int deinit() 
  { 
//---- 
    
//---- 
   return(0); 
  } 
//+------------------------------------------------------------------+ 
//| Custom indicator iteration function                              | 
//+------------------------------------------------------------------+ 
string Period2Text(int TmPeriod)
{
  switch (TmPeriod)
  {
    case PERIOD_M1  : return("M1");
    case PERIOD_M5  : return("M5");
    case PERIOD_M15 : return("M15");
    case PERIOD_M30 : return("M30");
    case PERIOD_H1  : return("H1");
    case PERIOD_H4  : return("H4");
    case PERIOD_D1  : return("D1");
    case PERIOD_W1  : return("W1");
    case PERIOD_MN1 : return("MN1");
  }      
  return ("ERR");
}


//+---------------

double prOpen(int i, int j)
{
  return (iOpen(NULL,i,j));
}
//+---------------
double prHigh(int i, int j)
{
  return (iHigh(NULL,i,j));
}
//+---------------


double prLow(int i, int j)
{
  return (iLow(NULL,i,j));
}
//+---------------
double prClose(int i, int j)
{
  return (iClose(NULL,i,j));
}

//+---------------

int start() 
  { 

   double xhigh1        = prHigh(  myPeriod1, 0 );
   double xlow1         = prLow(  myPeriod1, 0 );
   double xclose1       = prClose(  myPeriod1, 0 ); 
   double xopen1        = prOpen(  myPeriod1, 0 ); 
   double xmid1         = ( xhigh1 + xlow1 ) * 0.5 ;
   double xrange1       = xhigh1 - xlow1 ; 

   double xhigh2        = prHigh(  myPeriod2, 0 );
   double xlow2         = prLow(  myPeriod2, 0 );
   double xclose2       = prClose(  myPeriod2, 0 ); 
   double xopen2        = prOpen(  myPeriod2, 0 ); 
   double xmid2         = ( xhigh2 + xlow2 ) * 0.5 ;
   double xrange2       = xhigh2 - xlow2 ;
   
   double xhigh3        = prHigh(  myPeriod3, 0 );
   double xlow3         = prLow(  myPeriod3, 0 );
   double xclose3       = prClose(  myPeriod3, 0 ); 
   double xopen3        = prOpen(  myPeriod3, 0 ); 
   double xmid3         = ( xhigh3 + xlow3 ) * 0.5 ; 
   double xrange3       = xhigh3 - xlow3 ; 

   double xhigh4        = prHigh(  myPeriod4, 0 );
   double xlow4         = prLow(  myPeriod4, 0);
   double xclose4       = prClose(  myPeriod4, 0 ); 
   double xopen4        = prOpen(  myPeriod4, 0 ); 
   double xmid4         = ( xhigh4 + xlow4 ) * 0.5 ;
   double xrange4       = xhigh4 - xlow4  ;
   
   double xhigh5        = prHigh(  myPeriod5, 0 );
   double xlow5         = prLow(  myPeriod5, 0);
   double xclose5       = prClose(  myPeriod5, 0 ); 
   double xopen5        = prOpen(  myPeriod5, 0 ); 
   double xmid5         = ( xhigh5 + xlow5 ) * 0.5 ; 
   double xrange5       = xhigh5 - xlow5 ; 

   double xhigh6        = prHigh(  myPeriod6, 0 );
   double xlow6         = prLow(  myPeriod6, 0 );
   double xclose6       = prClose(  myPeriod6, 0 ); 
   double xopen6        = prOpen(  myPeriod6, 0 ); 
   double xmid6         = ( xhigh6 + xlow6 ) * 0.5 ; 
   double xrange6       = xhigh6 - xlow6 ;

   double xhigh7        = prHigh(  myPeriod7, 0 );
   double xlow7         = prLow(  myPeriod7, 0 );
   double xclose7       = prClose(  myPeriod7, 0 ); 
   double xopen7        = prOpen(  myPeriod7, 0 ); 
   double xmid7         = ( xhigh7 + xlow7 ) * 0.5 ;
   double xrange7       = xhigh7 - xlow7 ;  
      


   objectBlank();   
   
   paintCol1(xrange1/Point );  
   paintCol2(xrange2/Point );  
   paintCol3(xrange3/Point );  
   paintCol4(xrange4/Point );    
   paintCol5(xrange5/Point ); 
   paintCol6(xrange6/Point );    
   paintCol7(xrange7/Point );
   
   paintLine();
   
   
   
 
//---- 
   return(0); 
  } 
//+------------------------------------------------------------------+ 


void initGraph()
  {
   deleteObject();
   
   objectCreate("Col1_5",130,11);
   objectCreate("Col1",132,12,Period2Text(myPeriod1),7,"Arial Narrow",SkyBlue);
   objectCreate("Col1p",134,21,DoubleToStr(9,1),8,"Arial Narrow",Silver);   
   
   objectCreate("Col2_5",110,11);
   objectCreate("Col2",112,12,Period2Text(myPeriod2),7,"Arial Narrow",SkyBlue);
   objectCreate("Col2p",114,21,DoubleToStr(9,1),8,"Arial Narrow",Silver);
   
   objectCreate("Col3_5",90,11);
   objectCreate("Col3",92,12,Period2Text(myPeriod3),7,"Arial Narrow",SkyBlue);
   objectCreate("Col3p",94,21,DoubleToStr(9,1),8,"Arial Narrow",Silver);
   
   objectCreate("Col4_5",70,11);
   objectCreate("Col4",72,12,Period2Text(myPeriod4),7,"Arial Narrow",SkyBlue);
   objectCreate("Col4p",74,21,DoubleToStr(9,1),8,"Arial Narrow",Silver);
   
   objectCreate("Col5_5",50,11);
   objectCreate("Col5",52,12,Period2Text(myPeriod5),7,"Arial Narrow",SkyBlue);
   objectCreate("Col5p",54,21,DoubleToStr(9,1),8,"Arial Narrow",Silver);
  
   objectCreate("Col6_5",30,11);
   objectCreate("Col6",32,12,Period2Text(myPeriod6),7,"Arial Narrow",SkyBlue);
   objectCreate("Col6p",34,21,DoubleToStr(9,1),8,"Arial Narrow",Silver);
   
   objectCreate("Col7_5",10,11);
   objectCreate("Col7",13,12,Period2Text(myPeriod7),7,"Arial Narrow",SkyBlue);
   objectCreate("Col7p",14,21,DoubleToStr(9,1),8,"Arial Narrow",Silver);
   
   
   objectCreate("line97",10,69,"-----------------------------------",10,"Arial",DimGray);
   objectCreate("sign",11,1,"Candle Color Multi   ",8,"Arial Narrow",DimGray);
  }   
  
//+------------------------------------------------------------------+
void objectCreate(string name,int x,int y,string text="-",int size=42,
                  string font="Arial",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }
  
void deleteObject()
  {  
   ObjectDelete("Col1_5");
   ObjectDelete("Col1");
   ObjectDelete("Col1p");
   
   ObjectDelete("Col2_5");
   ObjectDelete("Col2");
   ObjectDelete("Col2p");
   
   ObjectDelete("Col3_5");
   ObjectDelete("Col3");
   ObjectDelete("Col3p");

   ObjectDelete("Col4_5");
   ObjectDelete("Col4");
   ObjectDelete("Col4p");
   
   ObjectDelete("Col5_5");
   ObjectDelete("Col5");
   ObjectDelete("Col5p"); 
     
   ObjectDelete("Col6_5");
   ObjectDelete("Col6");
   ObjectDelete("Col6p");
   
   ObjectDelete("Col7_5");
   ObjectDelete("Col7");
   ObjectDelete("Col7p");
   
  }
  
void objectBlank()
  {
   ObjectSet("Col1_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col1p",OBJPROP_COLOR,CLR_NONE);

   ObjectSet("Col2_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col2p",OBJPROP_COLOR,CLR_NONE);

   ObjectSet("Col3_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col3p",OBJPROP_COLOR,CLR_NONE);

   ObjectSet("Col4_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col4p",OBJPROP_COLOR,CLR_NONE);

   ObjectSet("Col5_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col5p",OBJPROP_COLOR,CLR_NONE);
   
   ObjectSet("Col6_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col6",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col6p",OBJPROP_COLOR,CLR_NONE);
   
   ObjectSet("Col7_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col7",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Col7p",OBJPROP_COLOR,CLR_NONE);      
   
   ObjectSet("line98",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("line97",OBJPROP_COLOR,CLR_NONE); 
  }
  
void paintCol1(double value)
  {
   if (value < 0) ObjectSet("Col1_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col1_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col1_5",OBJPROP_COLOR,Lime);
   ObjectSet("Col1",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("Col1p",DoubleToStr(value,xDecimals),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col1",value);
  }
  
void paintCol2(double value)
  {
   if (value < 0) ObjectSet("Col2_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col2_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col2_5",OBJPROP_COLOR,Lime);   
   ObjectSet("Col2",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("Col2p",DoubleToStr(value,xDecimals),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col2",value);
  }


void paintCol3(double value)
  {
   if (value < 0) ObjectSet("Col3_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col3_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col3_5",OBJPROP_COLOR,Lime);   
   ObjectSet("Col3",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("Col3p",DoubleToStr(value,xDecimals),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col3",value);
  }

void paintCol4(double value)
  {
   if (value < 0) ObjectSet("Col4_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col4_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col4_5",OBJPROP_COLOR,Lime);   
   ObjectSet("Col4",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("Col4p",DoubleToStr(value,xDecimals),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col4",value);
  }

void paintCol5(double value)
  {
   if (value < 0) ObjectSet("Col5_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col5_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col5_5",OBJPROP_COLOR,Lime);   
   ObjectSet("Col5",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("Col5p",DoubleToStr(value,xDecimals),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col5",value);
  }

void paintCol6(double value)
  {
   if (value < 0) ObjectSet("Col6_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col6_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col6_5",OBJPROP_COLOR,Lime);   
   ObjectSet("Col6",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("Col6p",DoubleToStr(value,xDecimals),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col6",value);
  }

void paintCol7(double value)
  {
   if (value < 0) ObjectSet("Col7_5",OBJPROP_COLOR,Red);
   if (value == 0) ObjectSet("Col7_5",OBJPROP_COLOR,Yellow);
   if (value > 0) ObjectSet("Col7_5",OBJPROP_COLOR,Lime);   
   ObjectSet("Col7",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("Col7p",DoubleToStr(value,xDecimals),8,"Arial Narrow",Silver);
   GlobalVariableSet("Col7",value);
  }
  

  
void paintLine()
  {
   ObjectSet("line98",OBJPROP_COLOR,DimGray);
   ObjectSet("line97",OBJPROP_COLOR,DimGray);
  }